#### D.5.10.2 matrixExp

Procedure from library `orbitparam.lib` (see orbitparam_lib).

Usage:
  matrixExp(A); A matrix.

Assume:
  A is a nilpotent n x n matrix.
  If the characteristic p of the ground field is positive, then n has to be smaller than p.

Return:
  matrix, exp(A)

Theory:
  We compute the power series, which terminates since A is nilpotent.

Example:

    LIB "orbitparam.lib";
    ring R = 0,(x),dp;
    matrix A[4][4] = 0,0,1,0, 0,0,1,0, 0,0,0,0;
    matrixExp(A);
    ==> _[1,1]=1
    ==> _[1,2]=0
    ==> _[1,3]=1
    ==> _[1,4]=0
    ==> _[2,1]=0
    ==> _[2,2]=1
    ==> _[2,3]=1
    ==> _[2,4]=0
    ==> _[3,1]=0
    ==> _[3,2]=0
    ==> _[3,3]=1
    ==> _[3,4]=0
    ==> _[4,1]=0
    ==> _[4,2]=0
    ==> _[4,3]=0
    ==> _[4,4]=1

User manual for Singular version 4.4.1, 2025, generated by texi2html.